Skip to main content
GET
/
api
/
v2
/
gamebooks
/
across-workspaces
/
history
List gamebooks history across workspaces
curl --request GET \
  --url https://api.example.com/api/v2/gamebooks/across-workspaces/history
import requests

url = "https://api.example.com/api/v2/gamebooks/across-workspaces/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v2/gamebooks/across-workspaces/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "items": [
      {
        "id": "<string>",
        "tracingId": "<string>",
        "incidentId": "<string>",
        "incidentTitle": "<string>",
        "incidentNumber": 123,
        "isOcr": true,
        "isRecover": true,
        "triggedByUserId": "<string>",
        "displayName": "<string>",
        "modificationDate": "2023-11-07T05:31:56Z",
        "creationDate": "2023-11-07T05:31:56Z",
        "title": "<string>",
        "isAdminRequired": true,
        "workspaceId": "<string>",
        "workspaceName": "<string>",
        "tenantId": "<string>",
        "isAutoRun": true,
        "originalGamebookId": "<string>",
        "originalGamebookTitle": "<string>",
        "isRetryGamebook": true,
        "isQueued": true,
        "playbooks": [
          {
            "id": "<string>",
            "referenceId": "<string>",
            "entityId": "<string>",
            "name": "<string>",
            "description": "<string>",
            "affectedEntity": "<string>",
            "isRecommended": true,
            "errorMessage": "<string>",
            "sequence": 123,
            "modificationDate": "2023-11-07T05:31:56Z",
            "startingDate": "2023-11-07T05:31:56Z",
            "finishingDate": "2023-11-07T05:31:56Z",
            "executionTime": "<string>",
            "tracingId": "<string>",
            "parameters": {},
            "isAdminRequired": true
          }
        ],
        "summary": "<string>"
      }
    ],
    "currentPage": 123,
    "totalPages": 123,
    "pageSize": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}

Query Parameters

workspaces
string
statuses
string
currentPage
required
query
string

Response

OK

Standard v2 API response envelope for single-item responses.

data
object
meta
object